:root {
    --textcolor: rgb(190, 190, 190);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    cursor: none;
}

body,
html {
    width: 100%;
    height: 100%;
    font-family: 'Anton', sans-serif;
    color: #cbd5e1;
    overflow-x: hidden;
    overflow-y: auto;
}

h1,h2{
    letter-spacing: 5px;
    font-weight: 100;
}

p{
    letter-spacing: 1px;
}

header {
    width: 100%;
    background-color: black;
    min-height: 12vh;
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    
}

.second-head {
    width: 100%;
    max-width: 1400px;
    padding: 40px 70px;
    font-size: 1.3rem;
}

.second-head ul,
main,
.hero-ctn {
    display: flex;
    align-items: center;
}


.custm-crsr {
    top:0;
    left:0;
    mix-blend-mode: difference;
    width: 50px;
    height: 50px;
    background-color: #fff;
    border-radius: 50%;
    position: absolute;
    z-index: 1000;
    transition: all linear 0.1s;
}


.second-head ul {
    width: 100%;
    justify-content: space-between;
    list-style: none;
}

.second-head ul li a {
    text-decoration: none;
    color: white;
    letter-spacing: 2px;
}

.second-head ul li a:hover {
    text-decoration: underline;
}

main {
    background-color: black;
    justify-content: center;
    flex-direction: column;
}

.hero-sec {
    width: 100%;
    min-height: 88vh;
    height: auto;
    padding: 0 30px;
    text-align: center;
    position: relative;
}

.title-sec {
    color: var(--textcolor);
    font-size: 9rem;
    letter-spacing: 5px;
    font-weight: 100;
}

.hero-ctn {
    flex-direction: column;
    gap: 20px;
}

.hero-para {
    width: 350px;
    font-size: 1.3rem;
    color: var(--textcolor);
}

.btn {
    padding: 10px 30px;
    cursor: pointer;
}

.hero-btn {
    margin-top: 20px;
    margin-right: 50px;
}

.btn-spec {
    padding: 20px 40px;
    background: linear-gradient(
    90deg,
    #010101 25%,
    #5b21b6 35%,
    #ec4899 45%,
    #c084fc 70%,
    #f59e0b 100%
);
    font-weight: bolder;
    color: var(--textcolor);
    border-radius: 30px;
    border: 2px solid var(--textcolor);
    box-shadow: 0 6px rgba(0, 0, 0, 0.5);
    transition: all 0.15s ease;
    cursor: pointer;
}



.btn-spec:hover {
    transform: translateY(-3px);
    box-shadow: 0 8px rgba(0, 0, 0, 0.6);
    border: 2px solid orangered;
}

.btn-spec:active {
    transform: translateY(3px);
    box-shadow: 0 3px rgba(0, 0, 0, 0.4);
}


/* 🔥 Image Container */
.image {
    position: absolute;
    bottom: -140px;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-top: 40px;
}

/* 🔥 Image Animation */
.image img {
    width: 300px;
    transform: scale(0);
    transition: transform 0.6s ease;
    border-radius: 20px;
    padding-bottom: 50px;
    box-shadow: 0 0 40px black;
}

.space {
    height: 140px;
}

/* Hover effect */
.image:hover img {
    transform: scale(1.7);
}
